%define crawl_output crawl_output
%if (0%{?rhel} && 0%{?rhel} < 6)
%global tomcat tomcat5
%else
%global tomcat tomcat6
%endif

Name: satellite-doc-indexes
Version: 5.6.0
Release: 2%{?dist}
Summary: Lucene indexes of help documentation for Satellite
Group: RHN/Web
License: RHN Subscription License
Source0: %{name}-%{version}.tar.gz
Patch0: satellite-doc-indexes-5.6.0-1-to-satellite-doc-indexes-5.6.0-2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nutch >= 1.0-0.15.20081201040121nightly
BuildRequires: rhn-i18n-guides >= 0:5.6.0.1
BuildRequires: rhn-i18n-release-notes >= 0:5.6.0.1
BuildRequires: java-1.6.0-ibm-devel
Requires: nutch
BuildArch: noarch
Provides: doc-indexes

%description
Lucene generated indexes used by the satellite search-server for
documentation/help searches

%prep
%setup -q
%patch0 -p1

%build
CLASSPATH=$CLASSPATH:/usr/share/nutch:/usr/share/nutch/lib
export CLASSPATH
./crawl_jsp.sh %{_localstatedir}/lib/%{tomcat}/webapps/rhn/help/

%install
rm -rf $RPM_BUILD_ROOT

LANGS="as-IN bn-IN de-DE en-US es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW"

for lang in $LANGS; do
    install -d -m 755 $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/segments
    cp -a %{crawl_output}/$lang/index/* $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/
    cp -a %{crawl_output}/$lang/segments/* $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/segments
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%{_prefix}/share/rhn/search/indexes/docs

%changelog
* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0-2
- buildrequire java-devel by satellite-doc-indexes
- adapt doc-indexes to 5.6.0 documentation

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0-1
- doc-indexes require 5.6 release-notes and guides
- bumping satellite-doc-indexes version to 5.6

* Thu Oct 11 2012 Stephen Herr <sherr@redhat.com> 5.5.1-7
- satellite-doc-indexes buildrequires nutch-1.15

* Wed Oct 10 2012 Stephen Herr <sherr@redhat.com> 5.5.1-6
- final (hopefully) update to nutch version

* Wed Oct 10 2012 Stephen Herr <sherr@redhat.com> 5.5.1-5
- updating nutch version

* Mon Oct 08 2012 Stephen Herr <sherr@redhat.com> 5.5.1-4
- updating nutch buildrequires to be current

* Sun Oct 07 2012 Stephen Herr <sherr@redhat.com> 5.5.1-3
- Fixing nutch buildrequires, not requires

* Sun Oct 07 2012 Stephen Herr <sherr@redhat.com> 5.5.1-2
- changing requirement doc-indexes to be a non-broken version of nutch

* Thu Oct 04 2012 Stephen Herr <sherr@redhat.com> 5.5.1-1
- Updateing doc version numbers for Sat 5.5 (sherr@redhat.com)

* Mon May 30 2011 Tomas Lestach <tlestach@redhat.com> 5.4.4-1
- bump required rhn-i18n* versions (tlestach@redhat.com)
- define tomcat macro for satellite-doc-indexes.spec (tlestach@redhat.com)

* Fri Oct 01 2010 Justin Sherrill <jsherril@redhat.com> 5.4.3-1
- rebuild 

* Fri Oct 01 2010 Justin Sherrill <jsherril@redhat.com> 5.4.2-1
- bumping index requires (jsherril@redhat.com)

* Thu Sep 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.1-1
- updating spec of doc indexes for 5.4 (jsherril@redhat.com)

* Fri Mar 26 2010 Justin Sherrill <jsherril@redhat.com> 5.3.23-1
- updating spec file build requires (jsherril@redhat.com)

* Thu Mar 25 2010 Justin Sherrill <jsherril@redhat.com> 5.3.22-1
- rebuild of indexes  
* Wed Mar 24 2010 Justin Sherrill <jsherril@redhat.com> 5.3.20-1
- bumping dependency for rhn-i18n-guides (jsherril@redhat.com)

* Tue Jan 19 2010 Justin Sherrill <jsherril@redhat.com> 5.3.19-1
- Rebuilding indexes for 5.3.1 (jsherril@redhat.com)

* Mon Jul 06 2009 John Matthews <jmatthew@redhat.com> 5.3.17-1
- 507687 - DocSearch force nutch to use "UTF-8" encoding. (jmatthew@redhat.com)

* Fri Jun 12 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.16-1
- update indexes with new docs contents

* Wed Jun 10 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.15-1
- rebuild doc indexes 

* Tue Jun 02 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.14-1
- rebuild against proper docs

* Wed May 27 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.13-1
- respin

* Fri May 22 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.12-1
- change version requires on rhn-i18n-guides and release-notes pkgs

* Tue Apr 07 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.9-1
- rebuild

* Sat Apr 04 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.3-1
- Provides doc-indexes
- %%build generates indexes, %%install installs the indexes

* Fri Apr 03 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0-2
- new package

* Tue Jan 27 2009 John Matthews <jmatthews@redhat.com> 0.4.1-2
- Adding nutch as a Requires

* Thu Jan 15 2009 John Matthews <jmatthews@redhat.com> 0.4.1-1
- Added translated documents

* Wed Dec 17 2008 John Matthews <jmatthews@redhat.com> 0.4.0-1
- initial

